<mamecheat version="1">

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.mw@033028</action>
      <action>temp1 =maincpu.mw@0330FC</action>
      <action>temp2 =maincpu.mw@03314C</action>
    </script>
    <script state="run">
      <action>maincpu.mw@033028=6002</action> <!-- This ROM cheat was made by Abystus & nolberto82 -->
      <action>maincpu.mw@0330FC=4E71</action>
      <action>maincpu.mw@03314C=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mw@033028=temp0 </action>
      <action>maincpu.mw@0330FC=temp1 </action>
      <action>maincpu.mw@03314C=temp2 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@307F0B=04</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@307F0F=60</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL1">
    <script state="run">
      <action>maincpu.pb@307F0D=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@307EDC=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@307F95=04</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@307F99=60</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL2">
    <script state="run">
      <action>maincpu.pb@307F97=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@307F66=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
